release-upgrades prompt option set to LTS in Yakkety

Bug #1577165 reported by Ads20000 on 2016-05-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Brian Murray
Yakkety
High
Brian Murray

Bug Description

In Software & Updates, by default the current setting is to only inform Yakkety users of LTS updates. This makes no sense since Yakkety will probably be EOL by July 2017 which is before the probable release of the next LTS in April 2018. I recognize that this is early stages for Yakkety but this default should be changed at some point before release.

Naturally, I imagine that this bug would be fixed on a CD image and the one I used is now 5 days old so if someone could confirm this if they find the bug on the latest CD image then I would be very grateful.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: software-properties-gtk 0.96.20
ProcVersionSignature: Ubuntu 4.4.0-22.38-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Sun May 1 14:05:56 2016
ExecutablePath: /usr/bin/software-properties-gtk
InstallationDate: Installed on 2016-04-26 (4 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20160426)
InterpreterPath: /usr/bin/python3.5
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 SHELL=/bin/bash
 LANG=en_GB.UTF-8
 LANGUAGE=en_GB:en
 XDG_RUNTIME_DIR=<set>
SourcePackage: software-properties
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Ads20000 (ads20000) wrote :
Ads20000 (ads20000) on 2016-05-01
description: updated
Brian Murray (brian-murray) wrote :

The file which sets this option is actually part of the ubuntu-release-upgrader source package:

 $ dpkg -S /etc/update-manager/release-upgrades
ubuntu-release-upgrader-core: /etc/update-manager/release-upgrades

affects: software-properties (Ubuntu) → ubuntu-release-upgrader (Ubuntu)
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Triaged
importance: Undecided → High
summary: - 'Notify me of a new Ubuntu version' set to LTS by default in Yakkety
+ release-upgrades prompt option set to LTS in Yakkety
Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.10.3

---------------
ubuntu-release-upgrader (1:16.10.3) yakkety; urgency=medium

  * pre-build.sh: Ubuntu.info needs to be included in the
    data-sources-list-test data directory for the inactive mirror test to
    pass.

 -- Brian Murray <email address hidden> Fri, 22 Jul 2016 15:01:47 -0700

Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers